aboutsummaryrefslogtreecommitdiff
path: root/corepkgs/nar/nar.sh.in
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2004-12-13 16:56:18 +0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2004-12-13 16:56:18 +0000
commite3b051aeeb968528d918b6af6c1e1df0bd7de958 (patch)
tree19f659c9a99bc6bc9516a1ce6d50210c694f65b9 /corepkgs/nar/nar.sh.in
parent862f4c154e883611ba9dfefe921c87e6423075ea (diff)
* Include the size of the bzipped archive (necessary for computing the
cheapest download path), as well as the hash of the contents of the path (necessary for checking patch applicability).
Diffstat (limited to 'corepkgs/nar/nar.sh.in')
-rw-r--r--corepkgs/nar/nar.sh.in12
1 files changed, 8 insertions, 4 deletions
diff --git a/corepkgs/nar/nar.sh.in b/corepkgs/nar/nar.sh.in
index 11344f7ff..11598e6a9 100644
--- a/corepkgs/nar/nar.sh.in
+++ b/corepkgs/nar/nar.sh.in
@@ -6,10 +6,14 @@ export PATH=/bin:/usr/bin
echo "packing $path into $out..."
mkdir $out
dst=$out/$(basename $path).nar.bz2
-@bindir@/nix-store --dump "$path" | @bzip2@ > $dst
+@bindir@/nix-store --dump "$path" > tmp
-if test "${PIPESTATUS[0]}" != "0"; then exit 1; fi
+@bzip2@ < tmp > $dst
-md5=$(md5sum -b $dst | cut -c1-32)
+narHash=$(md5sum -b tmp | cut -c1-32)
if test $? != 0; then exit 1; fi
-echo $md5 > $out/md5
+echo $narHash > $out/nar-hash
+
+narbz2Hash=$(md5sum -b $dst | cut -c1-32)
+if test $? != 0; then exit 1; fi
+echo $narbz2Hash > $out/narbz2-hash